Subject: Re: bug#32159: 26.1; inhibit-compacting-font-caches does not fix all fonts lagging issue

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jul 2018 17:06:44 +0300

> From: Moses <[email-masked]>
> Date: Sun, 22 Jul 2018 05:45:46 +0000
> Cc: [email-masked], [email-masked]
> 
> On Tue, Jul 17, 2018 at 11:05 PM Eli Zaretskii <[email-masked]> wrote:
> > More importantly, if Emacs stops short of finding a font, it will not
> > have any useful suggestion for the actual setup of the fontset,
> > because it will not know what font to suggest.
> 
> Maybe Emacs can prompt the user to find/download the fonts that missing?

We could prompt, but without telling the names of the required fonts,
how useful would be such a prompt?  All we know is a script, and maybe
some other attributes.  How many users will know what fonts to look
for and download?

Also, in quite a few cases the problem is not that a font is not
available, the problem is that there are too many fonts to try before
Emacs gets to one that can display a character.

> > So please see if the problems that prompted your bug report are indeed
> > solved by customizing your fontset, including determining which
> > scripts/ranges of character codepoints needed such customization, and
> > let's defer the discussion of more user-friendly facilities to after
> > that.
> 
> After many failed tries. I finally make Emacs a little faster after
> customized the fontset.

Can you try to make this a little more quantitative?  How long did it
take before and how long after the fontset customizations?  And why
did you need many failed trials, what was the problem that prevented
you from succeeding on the first trial?

> I have to find the font name and the script name for each script. It
> a painful process.

Which scripts are the ones for which you needed to customize the
fontset?  I mean in your real-life use cases, not for displaying
HELLO.

> The HELLO file opening still slow though.

You mean, customizing the fontset didn't help with HELLO?  Is it
possible that you customized the fontset for scripts other than those
which slow down HELLO?

Thanks.